﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;
using Infragistics.Win.UltraWinMaskedEdit;


namespace UltraToolBarsDemo
{
    public class SpinButtonMaskedEditTool : MaskedEditTool
    {
        public SpinButtonMaskedEditTool(string key)
            : base(key)
        {
        }

        protected override Infragistics.Win.EditorWithMask CreateEditor()
        {
            Infragistics.Win.EditorWithMask maskEditor = base.CreateEditor();
            maskEditor.ButtonsRight.Add(new Infragistics.Win.UltraWinEditors.SpinEditorButton());
            return maskEditor;
        }

        public Infragistics.Win.EditorWithMask MaskEditor
        {
            get
            {
                return this.Editor as Infragistics.Win.EditorWithMask;
            }
        }
    }

}
